{
  "portraitScale": 1.4,
  "portraitTranslation": [0, -0.5, 0],
  "profileScale": 1,
  "profileTranslation": [-0.1, 0, 0],
  "rootBone": "magnezone",

  "animations": {
    "faint": "q.bedrock_primary('magnezone_superdense', 'faint', q.curve('one'))",
    "cry": "q.bedrock_stateful('magnezone', 'cry')"
  },
  "poses": {
    "hover": {
      "poseTypes": ["HOVER", "STAND", "FLOAT", "NONE", "PORTRAIT", "PROFILE"],
      "transformTicks": 10,
      "animations": ["q.bedrock('magnezone_superdense', 'air_idle')"
      ],
      "quirks": ["q.bedrock_quirk('magnezone_superdense', 'blink')"]
    },
    "fly": {
      "poseTypes": ["FLY", "SWIM", "WALK"],
      "transformTicks": 10,
      "animations": ["q.bedrock('magnezone_superdense', 'fly')"
      ]
    },
    "sleep": {
      "poseTypes": ["SLEEP"],
      "namedAnimations": {
        "cry": "q.bedrock_stateful('dummy', 'cry')"
      },
      "animations": ["q.bedrock('magnezone_superdense', 'sleep')"]
    }
  }
}
